Package org.bgerp.plugin.pln.blow.dao

# Class BoardDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.process.ProcessDAO
org.bgerp.dao.process.ProcessQueueDAO
org.bgerp.plugin.pln.blow.dao.BoardDAO

public class BoardDAO extends ProcessQueueDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class org.bgerp.dao.process.ProcessQueueDAO

  `LINKED_PROCESS_JOIN`

  ### Fields inherited from class ru.bgcrm.dao.process.ProcessDAO

  `form, LINKED_PROCESS, MODE_USER_CLOSED, MODE_USER_CREATED, MODE_USER_STATUS_CHANGED`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoardDAO(Connection con)`
  `BoardDAO(Connection con, DynActionForm form)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Pair<Process,Map<String,Object>>>`
  `getProcessList(BoardConfig board)`
  Возвращает набор все процессов для визуализаци.

  ### Methods inherited from class org.bgerp.dao.process.ProcessQueueDAO

  `addFilters, getCountQuery, prepareQueueSelect, searchProcess`

  ### Methods inherited from class ru.bgcrm.dao.process.ProcessDAO

  `deleteProcess, getIsolationJoin, getProcess, getProcessFromRs, getProcessFromRs, getProcessOrThrow, processIdInvert, searchProcessListByAddress, searchProcessListForUser, searchProcessListForUser, updateProcess, updateProcessExecutors, updateProcessGroups, updateProcessTitle`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoardDAO

    public BoardDAO(Connection con)

  - ### BoardDAO

    public BoardDAO(Connection con, DynActionForm form)

- ## Method Details

  - ### getProcessList

    public List<Pair<Process,Map<String,Object>>> getProcessList(BoardConfig board) throws Exception
    Возвращает набор все процессов для визуализаци. Сортировка обратная по приоритету. Первый параметр в очереди - процесс, остальные - настроенные колонки.
    Parameters:
      `board` -
    Returns:
    Throws:
      `Exception`